
Foreman - Bug #6888

Provisioning template name checks for presence twice, duplicate message

08/01/2014 11:06 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Rails   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1121532 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1643

  

Description

Create a template with no name and it gives the following error due to a duplicate presence check: "can't be blank and can't be

blank"

Related issues:

Has duplicate Foreman - Bug #6769: Template: creating a template without any ... Duplicate 07/24/2014

Associated revisions

Revision 51b90bff - 08/04/2014 09:43 AM - Dominic Cleal

fixes #6888 - remove duplicate presence validator causing two errors

History

#1 - 08/01/2014 11:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1643 added

- Pull request deleted ()

#2 - 08/04/2014 09:44 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#3 - 08/04/2014 10:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 51b90bff2d0f965b2cf198ad520312ee2c53570d.

#4 - 08/06/2014 05:04 AM - Dominic Cleal

- Has duplicate Bug #6769: Template: creating a template without any name raises same error two times added

#5 - 08/06/2014 03:39 PM - Bryan Kearney

- Bugzilla link set to 1121532
